Name: E2LSH
Version: 0.1
Release: 1%{?dist}
Summary: Library for Nearest Neighbors Search

Group: Applications/Engineering
License: GPLv3+	
URL: http://www.mit.edu/~andoni/LSH
Source0: http://www.mit.edu/~andoni/E2LSH_gpl.tar.gz
Patch0: add_lib_creation.patch
BuildRequires: gcc

%description
LSH is a library for N.N. Search.

%prep
%setup -q
%patch0

%build
mkdir lib
make 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_docdir}
rm bin/compile
cp -p bin/* %{buildroot}%{_bindir}
cp -p lib/* %{buildroot}%{_libdir}
cp -p gpl.txt manual.ps %{buildroot}%{_docdir}
chmod 0755 %{buildroot}%{_bindir}/*
chmod 0755 %{buildroot}%{_libdir}/*
ldconfig -n %{buildroot}${_libdir}/*

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/lib*.so.*
%doc %{_docdir}/gpl.txt 
%doc %{_docdir}/manual.ps

%changelog
* Thu Apr 03 2014 Ryan H. Lewis <me@ryanlewis.net> - 0.1-1
- initial attempt
